Bug 3706 - font server dies without "su"
font server dies without "su"
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-24 10:11 EDT by michael.waite
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-15 17:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michael.waite 1999-06-24 10:11:46 EDT
Here is the init script that starts xfs:
grep su /etc/init.d/xfs
        daemon --check xfs su xfs -c xfs -s /bin/sh
        touch /var/lock/subsys/xfs
        rm -f /var/lock/subsys/xfs
        if [ -f /var/lock/subsys/xfs ]; then
            daemon --check xfs su xfs -c xfs -s /bin/sh
            touch /var/lock/subsys/xfs
We have no need for "su" on our systems and without it the
font server dies.
Then you must link the fonts manually.
Is there a way to not have "su" on the system and still
have the fontserver running?
Comment 1 Preston Brown 1999-07-15 16:59:59 EDT
you may run the font server as root, but this opens you up to security
holes which you are trying to avoid.  su is not a security hole, it
has been thoroughly audited.  Why are you removing it?

The next release of our X packages will have XFree86-xfs depend on
/bin/su.  In the future, the xfs daemon may be rewritten so that it
drops root privileges and becomes suid xfs / sgid xfs, but not for
this release.
Comment 2 Preston Brown 1999-07-15 17:21:59 EDT
scratch that.  our next release of X will enable xfs to drop root
privileges and become the 'xfs' user if that user is present, if so
specified.  The init script will be adjusted accordingly.

Thanks for the feedback.

Note You need to log in before you can comment on or make changes to this bug.